Package com.collibra.dgc.importer.api.request

# Class SynchronizationBatchJsonInJobRequest

Object
BaseImportRequest
FileSynchronizationRequest
SynchronizationBatchJsonInJobRequest

All Implemented Interfaces:
  `Serializable`

public class SynchronizationBatchJsonInJobRequest extends FileSynchronizationRequest
The request defining batch synchronization call properties from a JSON file.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `SynchronizationBatchJsonInJobRequest.SynchronizationBatchJsonInJobRequestBuilder`

- ## Field Summary

  ### Fields inherited from class FileSynchronizationRequest

  `attributesAction, continueOnError, continueOnErrorRaw, deleteFile, file, fileId, fileName, relationsAction, synchronizationId`

  ### Fields inherited from class BaseImportRequest

  `batchSize, DEFAULT_BATCH_SIZE, requestSource, saveResult, sendNotification, simulation`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynchronizationBatchJsonInJobRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SynchronizationBatchJsonInJobRequest.SynchronizationBatchJsonInJobRequestBuilder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `boolean`
  `isAllowEmptyAttributeValues()`
  `String`
  `toString()`

  ### Methods inherited from class FileSynchronizationRequest

  `getAttributesAction, getContinueOnErrorRaw, getFile, getFileId, getFileName, getRelationsAction, getSynchronizationId, isContinueOnError, isDeleteFile, setAttributesAction, setContinueOnError, setDeleteFile, setFile, setFileId, setFileName, setRelationsAction, setSynchronizationId`

  ### Methods inherited from class BaseImportRequest

  `getBatchSize, getRequestSource, isSaveResult, isSendNotification, isSimulation, setBatchSize, setRequestSource, setSaveResult, setSendNotification, setSimulation`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SynchronizationBatchJsonInJobRequest

    public SynchronizationBatchJsonInJobRequest()

- ## Method Details

  - ### builder

    public static SynchronizationBatchJsonInJobRequest.SynchronizationBatchJsonInJobRequestBuilder builder()

  - ### isAllowEmptyAttributeValues

    public boolean isAllowEmptyAttributeValues()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `FileSynchronizationRequest`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `FileSynchronizationRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `FileSynchronizationRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `FileSynchronizationRequest`